Package Details: dia-git 6621.bda0a93c-1

Git Clone URL: https://aur.archlinux.org/dia-git.git (read-only, click to copy)
Package Base: dia-git
Description: A GTK+ based diagram creation program (GIT VERSION)
Upstream URL: http://live.gnome.org/Dia
Licenses: GPL
Conflicts: dia
Provides: dia
Submitter: lilac
Maintainer: haawda
Last Packager: haawda
Votes: 1
Popularity: 0.000001
First Submitted: 2019-05-08 01:07
Last Updated: 2021-03-18 12:02

Required by (8)

Sources (2)

Latest Comments

heavysink commented on 2021-03-18 02:56

@haawda

Need to replace

PDFDoc *doc

to

std::unique_ptr<PDFDoc> doc

and

delete doc

to

doc.reset()

in plug-ins/pdf/pdf-import.cpp to build with poppler 21.3.0

haawda commented on 2021-03-08 15:23

Won't build with recently updated poppler library 21.3.0. Downgrade to 21.2.0. I filed a bugreport upstream.

Popolon commented on 2020-10-20 12:15

need to replace 'libpoppler' by 'poppler' in dependencies.

sirocco commented on 2020-08-02 05:17

==> Starting build()...
usage: meson [-h] {setup,configure,dist,install,introspect,init,test,wrap,subprojects,help,rewrite,compile} ...
meson: error: unrecognized arguments: --with-python=NO
==> ERROR: A failure occurred in build().
    Aborting...

trougnouf commented on 2019-06-09 11:53

This might need an update, I think they moved the headers around.